import l from "clsx";
import { jsx as d, jsxs as v, Fragment as U } from "react/jsx-runtime";
import N, { useContext as y } from "react";
/*!
  @versini/ui-table v1.0.10
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_TABLE__ || (window.__VERSINI_UI_TABLE__ = {
    version: "1.0.10",
    buildTime: "09/28/2024 06:29 PM EDT",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const $ = (e) => {
  let a = "";
  if (typeof e == "number" || typeof e == "string")
    a = "m-" + e;
  else {
    const t = [];
    (e == null ? void 0 : e.t) !== void 0 && t.push(`mt-${e.t}`), (e == null ? void 0 : e.r) !== void 0 && t.push(`mr-${e.r}`), (e == null ? void 0 : e.b) !== void 0 && t.push(`mb-${e.b}`), (e == null ? void 0 : e.l) !== void 0 && t.push(`ml-${e.l}`), a = t.join(" ");
  }
  return a;
}, _ = "thead", T = "tfoot", p = "tbody", f = {
  ASC: "asc",
  DESC: "desc"
}, A = ({
  mode: e,
  className: a,
  wrapperClassName: t,
  stickyHeader: r,
  stickyFooter: o,
  spacing: i
}) => ({
  wrapper: l(
    "not-prose relative w-full rounded-lg shadow-md",
    $(i),
    {
      "overflow-x-auto": !r && !o,
      "overflow-y-scroll": r || o,
      "bg-surface-darker text-copy-light": e === "dark",
      "bg-surface-light text-copy-dark": e === "light",
      "bg-surface-darker text-copy-light dark:bg-surface-light dark:text-copy-dark": e === "system",
      "bg-surface-light text-copy-dark dark:bg-surface-darker dark:text-copy-light": e === "alt-system"
    },
    t
  ),
  table: l("my-0 w-full text-left text-sm", a, {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  }),
  caption: l("py-2 text-sm font-bold", {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  })
}), j = ({
  className: e,
  stickyHeader: a,
  mode: t
}) => l(e, {
  "sticky top-0 z-10": a,
  "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "dark",
  "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "system",
  "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "light",
  "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "alt-system"
}), W = ({
  className: e,
  stickyFooter: a,
  mode: t
}) => l(e, {
  "sticky bottom-0 z-10": a,
  "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "dark",
  "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "system",
  "shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "light",
  "shadow-[rgb(65_65_65_/30%)_-0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "alt-system"
}), D = ({
  mode: e,
  className: a,
  cellWrapper: t
}) => t === _ || t === T ? l({
  "bg-table-head-dark": e === "dark",
  "bg-table-head-light": e === "light",
  "bg-table-head-dark dark:bg-table-head-light": e === "system",
  "bg-table-head-light dark:bg-table-head-dark": e === "alt-system"
}) : l("border-b last:border-0", a, {
  "border-table-dark": e === "dark",
  "odd:bg-table-dark-odd even:bg-table-dark-even": t === p && e === "dark",
  "border-table-light": e === "light",
  "odd:bg-table-light-odd even:bg-table-light-even": t === p && e === "light",
  "border-table-dark dark:border-table-light": e === "system",
  "odd:bg-table-dark-odd even:bg-table-dark-even dark:odd:bg-table-light-odd dark:even:bg-table-light-even": t === p && e === "system",
  "border-table-light dark:border-table-dark": e === "alt-system",
  "odd:bg-table-light-odd even:bg-table-light-even dark:odd:bg-table-dark-odd dark:even:bg-table-dark-even": t === p && e === "alt-system"
}), O = ({
  cellWrapper: e,
  className: a,
  compact: t,
  mode: r
}) => l(a, {
  "text-copy-light": r === "dark",
  "text-copy-dark": r === "light",
  "text-copy-light dark:text-copy-dark": r === "system",
  "text-copy-dark dark:text-copy-light": r === "alt-system",
  "px-4 py-3": !t && (e === _ || e === T),
  "p-4": !t && e === p,
  "px-4 py-1": t
}), B = "av-button", F = (e) => {
  let a = "";
  if (typeof e == "number" || typeof e == "string")
    a = "m-" + e;
  else {
    const t = [];
    (e == null ? void 0 : e.t) !== void 0 && t.push(`mt-${e.t}`), (e == null ? void 0 : e.r) !== void 0 && t.push(`mr-${e.r}`), (e == null ? void 0 : e.b) !== void 0 && t.push(`mb-${e.b}`), (e == null ? void 0 : e.l) !== void 0 && t.push(`ml-${e.l}`), a = t.join(" ");
  }
  return a;
}, E = "icon", Y = "button", q = "link", G = ({
  type: e,
  size: a,
  labelRight: t,
  labelLeft: r,
  align: o
}) => {
  const i = "text-sm font-medium max-h-8 py-0", c = "text-base font-medium max-h-9 py-1", s = "text-lg font-medium max-h-12 py-2";
  switch (e) {
    case Y:
      return l("px-4", {
        [i]: a === "small",
        [c]: a === "medium",
        [s]: a === "large"
      });
    case q:
      return l("px-4 text-center", {
        [i]: a === "small",
        [c]: a === "medium",
        [s]: a === "large"
      });
    case E:
      return l("inline-flex items-center", {
        "justify-center": o === "center",
        "justify-start": o === "left",
        "justify-end": o === "right",
        "h-6 w-6 p-0": a === "small" && !(t || r),
        "h-6 px-4 text-sm font-medium": a === "small" && (t || r),
        "h-8 w-8 p-1": a === "medium" && !(t || r),
        "h-8 px-4 text-base font-medium": a === "medium" && (t || r),
        "h-12 w-12 p-2": a === "large" && !(t || r),
        "h-12 px-4 text-lg font-medium": a === "large" && (t || r)
      });
  }
}, J = ({
  mode: e,
  noBackground: a,
  noTruncate: t,
  variant: r
}) => {
  if (a)
    return "not-prose rounded-full";
  if (r === "primary")
    return l("not-prose rounded-full", {
      truncate: !t,
      "bg-action-dark text-copy-light": e === "dark",
      "bg-action-light text-copy-lighter": e === "light",
      "bg-action-dark text-copy-light dark:bg-action-light dark:text-copy-lighter": e === "system",
      "bg-action-light text-copy-lighter dark:bg-action-dark dark:text-copy-light": e === "alt-system"
    });
  if (r === "secondary")
    return l("not-prose rounded-full", {
      truncate: !t,
      "bg-action-dark text-copy-light": e === "light",
      "bg-action-light text-copy-lighter": e === "dark",
      "bg-action-dark text-copy-light dark:bg-action-light dark:text-copy-lighter": e === "alt-system",
      "bg-action-light text-copy-lighter dark:bg-action-dark dark:text-copy-light": e === "system"
    });
  if (r === "danger")
    return l("not-prose rounded-full", {
      truncate: !t,
      "bg-action-danger-dark text-copy-light": e === "dark",
      "bg-action-danger-light text-copy-lighter": e === "light",
      "bg-action-danger-dark text-copy-light dark:bg-action-danger-light dark:text-copy-lighter": e === "system",
      "bg-action-danger-light text-copy-lighter dark:bg-action-danger-dark dark:text-copy-light": e === "alt-system"
    });
}, K = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return l("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "dark",
      "hover:bg-action-light-hover": e === "light",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "alt-system"
    });
  if (t === "secondary")
    return l("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "light",
      "hover:bg-action-light-hover": e === "dark",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "alt-system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "system"
    });
  if (t === "danger")
    return l("hover:text-copy-light-hover", {
      "hover:bg-action-danger-dark-hover": e === "dark",
      "hover:bg-action-danger-light-hover": e === "light",
      "hover:bg-action-danger-dark-hover dark:hover:bg-action-danger-light-hover": e === "system",
      "hover:bg-action-danger-light-hover dark:hover:bg-action-danger-dark-hover": e === "alt-system"
    });
}, Q = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return l("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "dark",
      "active:bg-action-light-active": e === "light",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "alt-system"
    });
  if (t === "secondary")
    return l("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "light",
      "active:bg-action-light-active": e === "dark",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "alt-system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "system"
    });
  if (t === "danger")
    return l("active:text-copy-lighter-active", {
      "active:bg-action-danger-dark-active": e === "dark",
      "active:bg-action-danger-light-active": e === "light",
      "active:bg-action-danger-dark-active dark:active:bg-action-danger-light-active": e === "system",
      "active:bg-action-danger-light-active dark:active:bg-action-danger-dark-active": e === "alt-system"
    });
}, X = ({
  mode: e,
  noBorder: a,
  variant: t
}) => {
  if (a)
    return "border border-transparent";
  if (t === "primary")
    return l("border", {
      "border-border-dark": e === "dark",
      "border-border-accent": e === "light",
      "border-border-dark dark:border-border-accent": e === "system",
      "border-border-accent dark:border-border-dark": e === "alt-system"
    });
  if (t === "secondary")
    return l("border", {
      "border-border-dark": e === "light",
      "border-border-accent": e === "dark",
      "border-border-dark dark:border-border-accent": e === "alt-system",
      "border-border-accent dark:border-border-dark": e === "system"
    });
  if (t === "danger")
    return l("border", {
      "border-border-danger-dark": e === "dark",
      "border-border-danger-medium": e === "light",
      "border-border-danger-dark dark:border-border-danger-medium": e === "system",
      "border-border-danger-medium dark:border-border-danger-dark": e === "alt-system"
    });
}, Z = ({ focusMode: e }) => l("focus:outline", "focus:outline-2", "focus:outline-offset-2", {
  "focus:outline-focus-dark": e === "dark",
  "focus:outline-focus-light": e === "light",
  "focus:outline-focus-light dark:focus:outline-focus-dark": e === "alt-system",
  "focus:outline-focus-dark dark:focus:outline-focus-light": e === "system"
}), ee = ({
  type: e,
  className: a,
  raw: t,
  mode: r,
  focusMode: o,
  disabled: i,
  fullWidth: c,
  size: s,
  noBorder: n,
  labelRight: g,
  labelLeft: b,
  spacing: u,
  noBackground: m,
  variant: h,
  noTruncate: x,
  align: w
}) => (h || (h = "primary"), t ? l(B, a) : l(
  B,
  a,
  F(u),
  J({ mode: r, variant: h, noBackground: m, noTruncate: x }),
  G({ type: e, size: s, labelRight: g, labelLeft: b, align: w }),
  X({ mode: r, variant: h, noBorder: n }),
  Z({ focusMode: o }),
  K({ mode: r, variant: h, disabled: i }),
  Q({ mode: r, variant: h, disabled: i }),
  {
    "w-full": c,
    "disabled:cursor-not-allowed disabled:opacity-50": i
  }
)), te = (e, a, t) => {
  var r;
  !a && (!document.activeElement || document.activeElement !== e.currentTarget) && typeof ((r = e == null ? void 0 : e.currentTarget) == null ? void 0 : r.focus) == "function" && e.currentTarget.focus(), typeof t == "function" && t(e);
}, I = N.forwardRef((e, a) => {
  const { onClick: t, noInternalClick: r = !1, ...o } = e;
  return /* @__PURE__ */ d(
    "button",
    {
      ref: a,
      onClick: (i) => {
        te(i, r, t);
      },
      ...o
    }
  );
});
I.displayName = "BaseButton";
/*!
  @versini/ui-button v1.1.10
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_BUTTON__ || (window.__VERSINI_UI_BUTTON__ = {
    version: "1.1.10",
    buildTime: "09/28/2024 06:29 PM EDT",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const R = N.forwardRef(
  ({
    children: e,
    disabled: a = !1,
    mode: t = "system",
    focusMode: r = "system",
    fullWidth: o = !1,
    className: i,
    type: c = "button",
    raw: s = !1,
    noBorder: n = !1,
    "aria-label": g,
    label: b,
    size: u = "medium",
    labelRight: m,
    labelLeft: h,
    spacing: x,
    noBackground: w = !1,
    align: z = "center",
    active: S = !1,
    ...V
  }, L) => {
    const M = ee({
      type: E,
      mode: t,
      focusMode: r,
      fullWidth: o,
      disabled: a,
      raw: s,
      className: i,
      noBorder: n,
      size: u,
      labelRight: m,
      labelLeft: h,
      spacing: x,
      noBackground: w,
      align: z
    }), H = l({
      "text-copy-accent-dark": t === "light" && !s,
      "text-copy-light": t === "dark" && !s,
      "text-copy-accent-dark dark:text-copy-light": t === "alt-system" && !s,
      "text-copy-light dark:text-copy-accent-dark": t === "system" && !s
    }), P = S ? l(
      "relative",
      "focus-within:static",
      "focus-within:after:border-transparent",
      "after:absolute",
      "after:content-['']",
      "after:border-b-2",
      "after:bottom-[-4px]",
      "after:left-0",
      "after:right-0",
      {
        "after:border-table-dark": t === "dark",
        "after:border-table-light": t === "light",
        "after:border-table-dark dark:after:border-table-light": t === "system",
        "after:border-table-light dark:after:border-table-dark": t === "alt-system"
      }
    ) : "";
    return /* @__PURE__ */ d("div", { className: P, children: /* @__PURE__ */ v(
      I,
      {
        ref: L,
        className: M,
        disabled: a,
        type: c,
        "aria-label": g || b,
        ...V,
        children: [
          h && /* @__PURE__ */ d("span", { className: "pr-2", children: h }),
          /* @__PURE__ */ d("div", { className: H, children: e }),
          m && /* @__PURE__ */ d("span", { className: "pl-2", children: m })
        ]
      }
    ) });
  }
);
R.displayName = "ButtonSort";
const ae = (e) => {
  let a = "";
  if (typeof e == "number" || typeof e == "string")
    a = "m-" + e;
  else {
    const t = [];
    (e == null ? void 0 : e.t) !== void 0 && t.push(`mt-${e.t}`), (e == null ? void 0 : e.r) !== void 0 && t.push(`mr-${e.r}`), (e == null ? void 0 : e.b) !== void 0 && t.push(`mb-${e.b}`), (e == null ? void 0 : e.l) !== void 0 && t.push(`ml-${e.l}`), a = t.join(" ");
  }
  return a;
}, C = ({
  children: e,
  fill: a,
  viewBox: t,
  className: r,
  defaultViewBox: o,
  defaultClassName: i,
  spacing: c,
  title: s,
  semantic: n = !1,
  ...g
}) => {
  const b = ae(c), u = l(
    b,
    r || i
  );
  return /* @__PURE__ */ v(U, { children: [
    /* @__PURE__ */ d(
      "svg",
      {
        xmlns: "http://www.w3.org/2000/svg",
        className: u,
        viewBox: t || o,
        fill: a || "currentColor",
        role: "img",
        "aria-hidden": !n,
        focusable: !1,
        ...g,
        children: e
      }
    ),
    s && n && /* @__PURE__ */ d("span", { className: "sr-only", children: s })
  ] });
};
/*!
  @versini/ui-private v1.4.17
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_PRIVATE__ || (window.__VERSINI_UI_PRIVATE__ = {
    version: "1.4.17",
    buildTime: "09/28/2024 06:29 PM EDT",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const re = ({
  className: e,
  viewBox: a,
  spacing: t,
  title: r,
  monotone: o,
  ...i
}) => /* @__PURE__ */ v(
  C,
  {
    defaultViewBox: "0 0 576 512",
    defaultClassName: "size-5",
    viewBox: a,
    className: e,
    spacing: t,
    title: r || "Sort",
    ...i,
    children: [
      /* @__PURE__ */ d(
        "path",
        {
          opacity: o ? "1" : "0.4",
          d: "M393.4 41.4c12.5-12.5 32.8-12.5 45.3 0l96 96c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L448 141.3V448c0 17.7-14.3 32-32 32s-32-14.3-32-32V141.3l-41.4 41.4c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3l96-96z"
        }
      ),
      /* @__PURE__ */ d("path", { d: "M137.4 470.6c12.5 12.5 32.8 12.5 45.3 0l96-96c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 370.7V64c0-17.7-14.3-32-32-32s-32 14.3-32 32V370.7L86.6 329.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l96 96z" })
    ]
  }
), oe = ({
  className: e,
  viewBox: a,
  spacing: t,
  title: r,
  monotone: o,
  ...i
}) => /* @__PURE__ */ v(
  C,
  {
    defaultViewBox: "0 0 576 512",
    defaultClassName: "size-5",
    viewBox: a,
    className: e,
    spacing: t,
    title: r || "Sort Down",
    ...i,
    children: [
      /* @__PURE__ */ d(
        "path",
        {
          opacity: o ? "1" : "0.4",
          d: "M288 448c0 17.7 14.3 32 32 32h32c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32zm0-128c0 17.7 14.3 32 32 32h96c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32zm0-128c0 17.7 14.3 32 32 32H480c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32zm0-128c0 17.7 14.3 32 32 32H544c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32z"
        }
      ),
      /* @__PURE__ */ d("path", { d: "M128 480c9 0 17.5-3.8 23.6-10.4l88-96c11.9-13 11.1-33.3-2-45.2s-33.3-11.1-45.2 2L160 365.7V64c0-17.7-14.3-32-32-32s-32 14.3-32 32V365.7L63.6 330.4c-11.9-13-32.2-13.9-45.2-2s-13.9 32.2-2 45.2l88 96C110.5 476.2 119 480 128 480z" })
    ]
  }
), le = ({
  className: e,
  viewBox: a,
  spacing: t,
  title: r,
  monotone: o,
  ...i
}) => /* @__PURE__ */ v(
  C,
  {
    defaultViewBox: "0 0 576 512",
    defaultClassName: "size-5",
    viewBox: a,
    className: e,
    spacing: t,
    title: r || "Sort Up",
    ...i,
    children: [
      /* @__PURE__ */ d(
        "path",
        {
          opacity: o ? "1" : "0.4",
          d: "M288 64c0-17.7 14.3-32 32-32h32c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32h96c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32H480c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32H544c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32z"
        }
      ),
      /* @__PURE__ */ d("path", { d: "M128 32c9 0 17.5 3.8 23.6 10.4l88 96c11.9 13 11.1 33.3-2 45.2s-33.3 11.1-45.2-2L160 146.3V448c0 17.7-14.3 32-32 32s-32-14.3-32-32V146.3L63.6 181.6c-11.9 13-32.2 13.9-45.2 2s-13.9-32.2-2-45.2l88-96C110.5 35.8 119 32 128 32z" })
    ]
  }
);
/*!
  @versini/ui-icons v1.13.1
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_ICONS__ || (window.__VERSINI_UI_ICONS__ = {
    version: "1.13.1",
    buildTime: "09/28/2024 06:29 PM EDT",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const k = N.createContext({
  mode: "light",
  cellWrapper: "thead",
  stickyHeader: !1,
  stickyFooter: !1,
  compact: !1
}), ce = ({
  children: e,
  mode: a = "system",
  caption: t,
  compact: r,
  summary: o,
  className: i,
  wrapperClassName: c,
  maxHeight: s,
  stickyHeader: n,
  stickyFooter: g,
  spacing: b,
  ...u
}) => {
  const m = A({
    mode: a,
    className: i,
    wrapperClassName: c,
    stickyHeader: n,
    stickyFooter: g,
    spacing: b
  });
  return /* @__PURE__ */ d(
    k.Provider,
    {
      value: { mode: a, stickyHeader: n, stickyFooter: g, compact: r },
      children: /* @__PURE__ */ d(
        "div",
        {
          className: m.wrapper,
          ...s && {
            style: { maxHeight: s }
          },
          children: /* @__PURE__ */ v("table", { className: m.table, summary: o, ...u, children: [
            t && /* @__PURE__ */ d("caption", { className: m.caption, children: t }),
            e
          ] })
        }
      )
    }
  );
}, ge = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = y(k);
  r.cellWrapper = _;
  const o = j({
    className: a,
    mode: r.mode,
    stickyHeader: r.stickyHeader
  });
  return /* @__PURE__ */ d("thead", { className: o, ...t, children: e });
}, he = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = y(k);
  r.cellWrapper = T;
  const o = W({
    className: a,
    mode: r.mode,
    stickyFooter: r.stickyFooter
  });
  return /* @__PURE__ */ d("tfoot", { className: o, ...t, children: e });
}, be = ({ children: e, ...a }) => {
  const t = y(k);
  return t.cellWrapper = p, /* @__PURE__ */ d("tbody", { ...a, children: e });
}, me = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = y(k), o = D({
    mode: r.mode,
    cellWrapper: r.cellWrapper,
    className: a
  });
  return /* @__PURE__ */ d("tr", { className: o, ...t, children: e });
}, ie = ({
  children: e,
  component: a,
  className: t,
  ...r
}) => {
  const o = y(k), i = a || (o.cellWrapper === _ ? "th" : "td"), c = O({
    cellWrapper: o.cellWrapper,
    className: t,
    mode: o.mode,
    compact: o.compact
  });
  return /* @__PURE__ */ d(i, { className: c, ...r, children: e });
}, ue = ({
  align: e,
  children: a,
  className: t,
  component: r,
  focusMode: o = "alt-system",
  mode: i = "alt-system",
  onClick: c,
  sortDirection: s,
  sortedCell: n,
  cellId: g,
  ...b
}) => /* @__PURE__ */ d(
  ie,
  {
    component: r,
    className: t,
    role: "columnheader",
    "aria-sort": s === f.ASC && n === g ? "ascending" : s === f.DESC && n === g ? "descending" : "other",
    ...b,
    children: /* @__PURE__ */ d(
      R,
      {
        active: n === g,
        className: "rounded-none text-sm",
        onClick: c,
        align: e,
        noBorder: !0,
        focusMode: o,
        mode: i,
        fullWidth: !0,
        labelRight: a,
        children: s === f.ASC && n === g ? /* @__PURE__ */ d(le, { className: "size-4", monotone: !0 }) : s === f.DESC && n === g ? /* @__PURE__ */ d(oe, { className: "size-4", monotone: !0 }) : /* @__PURE__ */ d(re, { className: "size-4", monotone: !0 })
      }
    )
  }
);
export {
  ce as Table,
  be as TableBody,
  ie as TableCell,
  ue as TableCellSort,
  f as TableCellSortDirections,
  he as TableFooter,
  ge as TableHead,
  me as TableRow
};
